package cn.edu.whu.boot.common.utils.allocation;

import org.apache.commons.math3.ml.clustering.Clusterable;
import org.locationtech.jts.geom.Point;

class PointWrapper implements Clusterable {
    private double[] points;

    private org.locationtech.jts.geom.Point original;

    PointWrapper(org.locationtech.jts.geom.Point point) {
        this.original = point;
        this.points = new double[]{point.getX(), point.getY()};
    }

    Point getOriginal() {
        return this.original;
    }

    public double[] getPoint() {
        return points;
    }
}
